Package twisted :: Package conch :: Package ssh :: Module forwarding :: Class SSHListenServerForwardingChannel |
[frames | no frames]

## Class SSHListenServerForwardingChannel

                SSHChannel --+
                             |
    SSHListenForwardingChannel --+
                                 |
                                SSHListenServerForwardingChannel

Method Summary
Inherited from SSHListenForwardingChannel
| ``channelOpen`(self, specificData)` Called when the channel is opened.
| ``closed`(self)` Called when the channel is closed.
| ``dataReceived`(self, data)` Called when we receive data.
| ``eofReceived`(self)` Called when the other side will send no more data.
| ``openFailed`(self, reason)` Called when the the open failed for some reason.
Inherited from SSHChannel
| ``__init__`(self, localWindow, localMaxPacket, remoteWindow, remoteMaxPacket, conn)`
| ``__str__`(self)`
| ``addWindowBytes`(self, bytes)` Called when bytes are added to the remote window.
| ``extReceived`(self, dataType, data)` Called when we receive extended data (usually standard error).
`tuple` | ``getHost`(self)` Return a tuple describing our side of the connection.
`tuple` | ``getPeer`(self)` Return a tuple describing the other side of the connection.
| ``loseConnection`(self)` Close the channel.
`bool` | ``requestReceived`(self, requestType, data)` Called when a request is sent to this channel.
| ``startWriting`(self)` Called when the remote buffer has more room, as a hint to continue writing.
| ``stopWriting`(self)` Called when the remote buffer is full, as a hint to stop writing.
| ``write`(self, data)` Write some data to the channel.
| ``writeExtended`(self, dataType, data)` Send extended data to this channel.
| ``writeSequence`(self, data)` Part of the Transport interface.

Class Variable Summary
`str` | `name` = `'forwarded-tcpip'`

Class Variable Details

    ### name Type: `str` Value:
        'forwarded-tcpip'

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net